Let's get down, let's get down to business
Give you one more night, one more night to get this
We've had a million, million nights just like this
So let's get down, let's get down to business

Mama, please don't worry 'bout me
'Cause I'm about to let my heart speak
My friends keep telling me to leave this
So let's get down, let's get down to business

Let's get down, let's get down to business
Give you onе more night, one more night to gеt this
We've had a million, million nights just like this
So let's get down, let's get down to business
Let's get down, let's get down to business
Give you one more night, one more night to get this
We've had a million, million nights just like this
So let's get down, let's get down to business, yeah

Back and forth, back and forth with the bullshit
I know I said it before, I don't mean it
It's been a while since I had your attention
So it might hurt to hear this

Dreams we have don't ever fall away
We can't live 'em if we stay the same
And I can't do this for another day
So let's get down, let's get down to business

Let's get down, let's get down to business
Give you one more night, one more night to get this
We've had a million, million nights just like this
So let's get down, let's get down to business
Let's get down, let's get down to business
Give you one more night, one more night to get this
We've had a million, million nights just like this
So let's get down, let's get down to business, yeah